@tailwind base;
@tailwind components;
@tailwind utilities;

@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@500;600;700;800&display=swap');

.nav-bg {
    background: linear-gradient(180deg, #FF4A4F 0%, #CA3D40 100%);
}

@layer components {
    .single-radio-option {
        width: calc(100% / 2 - 4px);
    }

    .custom-radio {
        -webkit-appearance: none; /* Remove default styles for WebKit browsers */
        -moz-appearance: none; /* Remove default styles for Firefox */
        appearance: none;
        width: 30px;
        height: 30px;
        border: 3px solid #5B2D90; /* Border color */
        border-radius: 50%; /* Make it a circle */
        outline: none;
        position: relative;
    }

    .custom-radio::after {
        content: "";
        position: absolute;
        top: 2px;
        left: 2px;
        width: 20px;
        height: 20px;
        background-color: #5B2D90;
        opacity: 0;
        visibility: hidden;
        border-radius: 50%;
    }

    /* Custom styling for the radio button when checked */
    .custom-radio:checked::after {
        opacity: 1;
        visibility: visible;
    }

    .radio-label {
        width: calc(100% - 40px);
    }

    .custom-btn {
        border-radius: 25px;
        background: var(--GRAD, linear-gradient(180deg, #5B2D90 0%, #461D75 100%));

    }

    .input-field {
        @apply w-full border-black-light p-4 rounded-md border-2 focus:border-red-primary focus:outline-none text-base;
    }

    #checkbox:checked + label img {
    opacity: 1;
}
}

@layer base {
    li {
        @apply text-sm mb-[5px] text-[#000];
    }
    li:last-child {
        @apply mb-0;
    }
}

